Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

AllowOverride All error

Discussion in 'EasyApache' started by Steff, Dec 29, 2015.

  1. Steff

    Steff Registered

    Joined:
    Dec 29, 2015
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Amsterdam
    cPanel Access Level:
    Root Administrator
    Hello

    I went to the Apache Configuration -> Include Editor -> Pre virtual host include and selected all versions

    I added AllowOverride All In the textbox and hit update:
    Sorry, your changes have introduced a syntax error in pre_virtualhost_global.conf. Please correct the issue.
    Error:
    Configuration problem detected on line 1 of file /usr/local/apache/conf/includes/pre_virtualhost_global.conf.tmp: AllowOverride not allowed here --- /usr/local/apache/conf/includes/pre_virtualhost_global.conf.tmp --- 1 ===> AllowOverride All <=== --- /usr/local/apache/conf/includes/pre_virtualhost_global.conf.tmp ---

    I don't understand why is it throwing an error
     
  2. 24x7server

    24x7server Well-Known Member

    Joined:
    Apr 17, 2013
    Messages:
    1,789
    Likes Received:
    83
    Trophy Points:
    78
    Location:
    India
    cPanel Access Level:
    Root Administrator
    Hello,

    Can you please update here following command output so that we can check what is the wrong with your pre_virtualhost_global.conf file.

    Code:
    cat /usr/local/apache/conf/includes/pre_virtualhost_global.conf
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    43,711
    Likes Received:
    1,791
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello :)

    You should not have to manually add that value, as the default value in the /usr/local/apache/conf/httpd.conf file is:

    Code:
    <Directory "/">
        AllowOverride All
        Options ExecCGI FollowSymLinks IncludesNOEXEC Indexes SymLinksIfOwnerMatch
    </Directory>
    
    The options are configurable via "WHM Home » Service Configuration » Apache Configuration » Global Configuration".

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice